package usecase

import (
	"log/slog"

	"gitea.computernetthings.ru/yash/crypto_alert_bot/internal/repository"
)

type Usecase struct {
	log     *slog.Logger
	storage repository.Storage
}

func New(log *slog.Logger, storage repository.Storage) *Usecase {
	return &Usecase{
		log:     log,
		storage: storage,
	}
}
